Subject: bug#25304: closed (Re: bug#25304: Libtool’sltmain.sh still contains a /gnu/store shebang)

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 16 Nov 2020 16:18:02 +0000

Your bug report

#25304: Libtool's ltmain.sh should have its shebang preserved

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
25304: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=25304
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#25304: Libtool’s ltmain.sh still contains a /gnu/store shebang
From: Miguel Ángel Arruga Vivas <[email-masked]>
To: Ludovic Courtès <[email-masked]>
Cc: [email-masked]
Date: Mon, 16 Nov 2020 17:17:05 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi!

Ludovic Courtès <[email-masked]> writes:
> Hi!
>
> Miguel Ángel Arruga Vivas <[email-masked]> skribis:
>
>> I was looking through the lists because I have a patch that does exactly
>> what you describe here.  I guess this goes to core updates, so this
>> version is on top of it.  WDYT?
>
> Yes, looks like a change for ‘core-updates’.
>
>> From 145273418d3131bcf3b73d416d19f641645cf3f8 Mon Sep 17 00:00:00 2001
>> From: =?UTF-8?q?Miguel=20=C3=81ngel=20Arruga=20Vivas?=
>>  <[email-masked]>
>> Date: Fri, 13 Nov 2020 15:24:46 +0100
>> Subject: [PATCH] gnu: libtool: Restore shebangs on all libtoolize files.
>
> You can add “Fixes <https://bugs.gnu.org/25304>.”
>
>> * gnu/packages/autotools.scm (libtool)[restore-build-aux-shebang]: New
>> phase after install.
>> [restore-ltmain-shebang]: Remove phase, it is now performed by the phase
>> restore-build-aux-shebang.
>
> LGTM, thanks for digging through old bugs!
>
> Ludo’.

Pushed as 8d263ff254292c9e13a9848f90b52263da52d570 to core-updates with
that line added.  Thanks for the quick review.  :-)

Happy hacking!
Miguel

Subject: Re: Seeking advice: preparing releases on GuixSD.
From: [email-masked] (Ludovic Courtès)
To: Ricardo Wurmus <[email-masked]>
Cc: [email-masked], ng0 <[email-masked]>, [email-masked]
Date: Sat, 31 Dec 2016 00:34:40 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi!

Ricardo Wurmus <[email-masked]> skribis:

> “ltmain.sh” is instantiated from a template by libtool.  It originally
> contains a /bin/sh shebang, and I think it should not be patched when
> installed to
>
>     /gnu/store/…-libtool-2.4.6/share/libtool/build-aux/ltmain.sh
>
> This seems like a bug to me.

Definitely:

--8<---------------cut here---------------start------------->8---
$ head -1 $(find $(guix build libtool) -name ltmain.sh)
#!/gnu/store/qkw4zrwfybxww8f56nkb6hggxambk89b-bash-4.4.0/bin/sh
--8<---------------cut here---------------end--------------->8---

Opening a new bug now.  This is with v0.12.0-176-ge087671.

Ludo’.